Skip to content
Start here

Update a Zero Trust Gateway PAC file

client.ZeroTrust.Gateway.Pacfiles.Update(ctx, pacfileID, params) (*GatewayPacfileUpdateResponse, error)
PUT/accounts/{account_id}/gateway/pacfiles/{pacfile_id}

Update a configured Zero Trust Gateway PAC file.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zero Trust Write
ParametersExpand Collapse
pacfileID string
params GatewayPacfileUpdateParams
AccountID param.Field[string]

Path param

Contents param.Field[string]

Body param: Actual contents of the PAC file

Description param.Field[string]

Body param: Detailed description of the PAC file.

Name param.Field[string]

Body param: Name of the PAC file.

ReturnsExpand Collapse
type GatewayPacfileUpdateResponse struct{…}
ID stringOptional
Contents stringOptional

Actual contents of the PAC file

CreatedAt TimeOptional
formatdate-time
Description stringOptional

Detailed description of the PAC file.

Name stringOptional

Name of the PAC file.

Slug stringOptional

URL-friendly version of the PAC file name.

UpdatedAt TimeOptional
formatdate-time
URL stringOptional

Unique URL to download the PAC file.

Update a Zero Trust Gateway PAC file

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/zero_trust"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  pacfile, err := client.ZeroTrust.Gateway.Pacfiles.Update(
    context.TODO(),
    "ed35569b41ce4d1facfe683550f54086",
    zero_trust.GatewayPacfileUpdateParams{
      AccountID: cloudflare.F("699d98642c564d2e855e9661899b7252"),
      Contents: cloudflare.F(`function FindProxyForURL(url, host) { return "DIRECT"; }`),
      Description: cloudflare.F("PAC file for Devops team"),
      Name: cloudflare.F("Devops team"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", pacfile.ID)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "ed35569b41ce4d1facfe683550f54086",
    "contents": "function FindProxyForURL(url, host) { return \"DIRECT\"; }",
    "created_at": "2014-01-01T05:20:00.12345Z",
    "description": "PAC file for Devops team",
    "name": "Devops team",
    "slug": "pac_devops",
    "updated_at": "2014-01-01T05:20:00.12345Z",
    "url": "https://pac.cloudflare-gateway.com/699d98642c564d2e855e9661899b7252/pac_devops"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "ed35569b41ce4d1facfe683550f54086",
    "contents": "function FindProxyForURL(url, host) { return \"DIRECT\"; }",
    "created_at": "2014-01-01T05:20:00.12345Z",
    "description": "PAC file for Devops team",
    "name": "Devops team",
    "slug": "pac_devops",
    "updated_at": "2014-01-01T05:20:00.12345Z",
    "url": "https://pac.cloudflare-gateway.com/699d98642c564d2e855e9661899b7252/pac_devops"
  }
}